pouet.chapril.org - Anomalie #5973

Augmenter la taille de /var (ou faire du ménage) sur la VM pouet
23/09/2022 18:14 - Frédéric Couchet

Statut: Fermé Début: 23/09/2022
Priorité: Normale Echéance:

Assigné a: Quentin Gibeaux % réalisé: 0%
Catégorie: Temps estimé: 0.00 heure
Version cible: Sprint 2022 novembre

Description

Ce vendredi, le service pouet.chapril.org ne fonctionnait plus correctement. De nombreuses erreurs Erreur 50x.
J'ai redémarré Mastodon et nginx mais ¢a ne changeait rien.

Puis j'ai vu que /var était a 100%.

J'ai supprimé deux fichiers de logs pour récupérer 2.1Go. Le service pouet.chapril.org fonctionne de nouveau.
Mais le probléme risque de se reproduire.

Il faudrait sans doute soit augmenter la taille de /var ou faire du ménage sur la VM pouet

Historique

#1 - 23/09/2022 18:19 - Frédéric Couchet

Visiblement icinga et pouet remplisse a fond les fichiers messages, syslog et user.log.

#2 - 28/09/2022 12:25 - Quentin Gibeaux

- Statut changé de Nouveau a Résolu

rajouté 500G au qcow, 150G au home et 8G au var, et reste pas mal de GO a allouer okazou

#3 - 04/10/2022 22:25 - Quentin Gibeaux

- Statut changé de Résolu a Fermé

#4 - 01/11/2022 17:43 - Pierre-Louis Bonicoli

Suite a un dysfonctionnement signalé par un utilisateur cette apres-midi, Fred constate que /var est plein.
J'ai utilisé 10Go des 300Go disponibles sur le vg pour agrandir /var:

=("-")=root@pouet:~# df -h /dev/mapper/modele--vg-var

Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur

/dev/mapper/modele—-vg-var 23G 21G 888M 96% /var

=("-")=root@pouet:~# lvextend -L +10G /dev/mapper/modele--vg-var
Size of logical volume modele-vg/var changed from 22,57 GiB (5778 extents) to 32,57 GiB (8338 extents).
Logical volume modele-vg/var successfully resized.

=("-")=root@pouet:~# resize2fs /dev/mapper/modele--vg-var

resize2fs 1.46.2 (28-Feb-2021)

Filesystem at /dev/mapper/modele--vg-var is mounted on /var; on-line resizing required

old_desc_blocks = 3, new_desc_blocks = 5

The filesystem on /dev/mapper/modele--vg-var is now 8538112 (4k) blocks long.

=("-")=root@pouet:~# df -h /dev/mapper/modele--vg-var

Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur

/dev/mapper/modele--vg-var 32G 21G 116G 67% /var

#5 - 09/03/2023 01:53 - Pierre-Louis Bonicoli

- Version cible changé de Backlog a Sprint 2022 novembre
